Vidu Q1 - Text to Video
viduq1-text2video
Vidu Q1 - Text to Video is a cost-effective video generation model optimized for faster generation while maintaining good quality. Ideal for rapid prototyping and high-volume video creation.
Эндпоинты
Заголовок раздела «Эндпоинты»POST /v1/queue/viduq1-text2video # Создать задачуGET /v1/queue/viduq1-text2video/requests/{request_id}/status # Проверить статусGET /v1/queue/viduq1-text2video/requests/{request_id}/response # Получить результатPUT /v1/queue/viduq1-text2video/requests/{request_id}/cancel # Отменить задачуПараметры запроса
Заголовок раздела «Параметры запроса»curl --request 'POST' 'https://odirouter.ai/model/v1/queue/viduq1-text2video' \ --header 'Authorization: Bearer YOUR_API_KEY' \ --header 'Content-Type: application/json' \ --location \ --data-raw '{ "prompt": "A clean studio shot of a red apple on a white table, soft natural light.", "style": "general", "seed": 42, "aspect_ratio": "16:9", "movement_amplitude": "auto", "bgm": true}'style string
Заголовок раздела «style string»Style
general: General style, can be controlled through prompts
anime: Anime style, optimized for anime aesthetics with better performance for anime-related prompts
Options: general, anime
Default: general
prompt string required
Заголовок раздела «prompt string required»Text description for video generation, maximum 2000 characters
duration integer
Заголовок раздела «duration integer»Video duration in seconds
Options: 5
Default: 5
seed integer
Заголовок раздела «seed integer»Random seed, when not provided or set to 0, uses a random number instead, manual setting uses the specified seed
aspect_ratio string
Заголовок раздела «aspect_ratio string»Aspect ratio
Options: 16:9, 9:16, 1:1
Default: 16:9
resolution string
Заголовок раздела «resolution string»Resolution parameter
Options: 1080p
Default: 1080p
movement_amplitude string
Заголовок раздела «movement_amplitude string»Movement amplitude
Options: auto, small, medium, large
Default: auto
bgm boolean
Заголовок раздела «bgm boolean»Whether to add background music to the generated video
When true, the system will automatically select and add appropriate music from the preset BGM library; when false, no BGM is added
BGM has no time limit, the system automatically adapts to video duration
Options: true, false
Default: false
payload string
Заголовок раздела «payload string»Pass-through parameter, no processing required, only data transmission, maximum 1048576 characters
off_peak boolean
Заголовок раздела «off_peak boolean»Note: Temporarily unavailable
Off-peak mode, off-peak mode consumes fewer points. Tasks submitted in off-peak mode will be generated within 48 hours. Tasks that cannot be completed will be automatically canceled and points will be refunded
When true, generates video during off-peak hours; when false, generates video immediately
Options: true, false
Default: false
watermark boolean
Заголовок раздела «watermark boolean»Whether to add a watermark. When true, a watermark is added; when false, no watermark is added
Currently watermark content is fixed and AI-generated, by default no watermark is added
Options: true, false
Default: false
wm_position integer
Заголовок раздела «wm_position integer»Watermark position, indicating where the watermark appears on the image
Options: 1 (Top-left), 2 (Top-right), 3 (Bottom-right), 4 (Bottom-left)
Default: 3
wm_url string
Заголовок раздела «wm_url string»Watermark content, provided as an image URL, when not provided, the default AI-generated watermark content is used
meta_data string
Заголовок раздела «meta_data string»Metadata identifier, JSON format string, pass-through field
You can customize the format or use the example format. Example:
{ "Label": "your_label", "ContentProducer": "yourcontentproducer", "ContentPropagator": "your_content_propagator", "ProduceID": "yourproductid", "PropagateID": "your_propagate_id", "ReservedCode1": "yourreservedcode1", "ReservedCode2": "your_reserved_code2"}When this parameter is empty, the default metadata identifier generated by vidu is used
callback_url string
Заголовок раздела «callback_url string»Callback URL
Параметры ответа
Заголовок раздела «Параметры ответа»{ "request_id": "task_01hxyz...", "response_url": "https://odirouter.ai/model/v1/queue/viduq1-text2video/requests/task_01hxyz.../response", "status_url": "https://odirouter.ai/model/v1/queue/viduq1-text2video/requests/task_01hxyz.../status", "cancel_url": "https://odirouter.ai/model/v1/queue/viduq1-text2video/requests/task_01hxyz.../cancel", "queue_position": 0}| Поле | Тип | Описание |
|---|---|---|
request_id | string | Идентификатор задачи для последующей проверки статуса, получения результата и отмены. |
response_url | string | URL для получения итогового результата. |
status_url | string | URL для проверки статуса задачи. |
cancel_url | string | URL для отмены задачи. |
queue_position | int | Текущая позиция в очереди. |